hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ni...@apache.org
Subject svn commit: r739187 - in /hadoop/core/trunk: CHANGES.txt src/test/bin/test-patch.sh
Date Fri, 30 Jan 2009 06:02:06 GMT
Author: nigel
Date: Fri Jan 30 06:02:06 2009
New Revision: 739187

URL: http://svn.apache.org/viewvc?rev=739187&view=rev
Log:
HADOOP-5088. Include releaseaudit target as part of developer test-patch target.  Contributed
by Giridharan Kesavan.

Modified:
    hadoop/core/trunk/CHANGES.txt
    hadoop/core/trunk/src/test/bin/test-patch.sh

Modified: hadoop/core/trunk/CHANGES.txt
URL: http://svn.apache.org/viewvc/hadoop/core/trunk/CHANGES.txt?rev=739187&r1=739186&r2=739187&view=diff
==============================================================================
--- hadoop/core/trunk/CHANGES.txt (original)
+++ hadoop/core/trunk/CHANGES.txt Fri Jan 30 06:02:06 2009
@@ -45,7 +45,10 @@
     HADOOP-5070. Increment copyright year to 2009, remove assertions of ASF
     copyright to licensed files. (Tsz Wo (Nicholas), SZE via cdouglas)
 
-    HADOOP-5037  Deprecate static FSNamesystem.getFSNamesystem().  (szetszwo)
+    HADOOP-5037. Deprecate static FSNamesystem.getFSNamesystem().  (szetszwo)
+
+    HADOOP-5088. Include releaseaudit target as part of developer test-patch
+    target.  (Giridharan Kesavan via nigel)
 
   OPTIMIZATIONS
 

Modified: hadoop/core/trunk/src/test/bin/test-patch.sh
URL: http://svn.apache.org/viewvc/hadoop/core/trunk/src/test/bin/test-patch.sh?rev=739187&r1=739186&r2=739187&view=diff
==============================================================================
--- hadoop/core/trunk/src/test/bin/test-patch.sh (original)
+++ hadoop/core/trunk/src/test/bin/test-patch.sh Fri Jan 30 06:02:06 2009
@@ -158,12 +158,8 @@
   echo "======================================================================"
   echo ""
   echo ""
-  ### DISABLE RELEASE AUDIT UNTIL HADOOP-4074 IS FIXED
-  ### Do not call releaseaudit when run by a developer
-  ### if [[ $HUDSON == "true" ]] ; then
-    ### echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit
> $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1"
-    ### $ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit >
$PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1
-  ### fi
+  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME}
-DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1"
+  $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME}
-DHadoopPatchProcess= releaseaudit > $PATCH_DIR/trunkReleaseAuditWarnings.txt 2>&1
   echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djavac.args="-Xlint -Xmaxwarns 1000" $ECLIPSE_PROPERTY
-Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= clean tar
> $PATCH_DIR/trunkJavacWarnings.txt 2>&1"
   $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djavac.args="-Xlint -Xmaxwarns 1000" $ECLIPSE_PROPERTY
-Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME} -DHadoopPatchProcess= clean tar
> $PATCH_DIR/trunkJavacWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
@@ -342,8 +338,8 @@
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit >
$PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1"
-  $ANT_HOME/bin/ant -Dversion="${VERSION}" -DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt
2>&1
+  echo "$ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME}
-DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1"
+  $ANT_HOME/bin/ant -Dversion="${VERSION}" -Djava5.home=${JAVA5_HOME} -Dforrest.home=${FORREST_HOME}
-DHadoopPatchProcess= releaseaudit > $PATCH_DIR/patchReleaseAuditWarnings.txt 2>&1
 
   ### Compare trunk and patch release audit warning numbers
   if [[ -f $PATCH_DIR/patchReleaseAuditWarnings.txt ]] ; then
@@ -675,11 +671,10 @@
 (( RESULT = RESULT + $? ))
 checkEclipse
 (( RESULT = RESULT + $? ))
+checkReleaseAuditWarnings
+(( RESULT = RESULT + $? ))
 ### Do not call these when run by a developer 
 if [[ $HUDSON == "true" ]] ; then
-  ### DISABLE RELEASE AUDIT UNTIL HADOOP-4074 IS FIXED
-  ### checkReleaseAuditWarnings
-  ### (( RESULT = RESULT + $? ))
   runCoreTests
   (( RESULT = RESULT + $? ))
   runContribTests
@@ -690,5 +685,3 @@
 
 submitJiraComment $RESULT
 cleanupAndExit $RESULT
-
-



Mime
View raw message